searchNodes=[{"ref":"Emojix.html","title":"Emojix","type":"module","doc":"Documentation for Emojix."},{"ref":"Emojix.html#all/0","title":"Emojix.all/0","type":"function","doc":"Returns a list of all 3019 Emoji, including variations. Examples iex&gt; Emojix.all() [ %Emojix.Emoji{ description: &quot;flag: Andorra&quot;, hexcode: &quot;1F1E6-1F1E9&quot;, id: 3577, shortcodes: [&quot;flag_ad&quot;], tags: [&quot;AD&quot;, &quot;flag&quot;], unicode: &quot;🇦🇩&quot;, variations: [] }, %Emojix.Emoji{ description: &quot;downcast face with sweat&quot;, hexcode: &quot;1F613&quot;, id: 85, shortcodes: [&quot;shamed&quot;], tags: [&quot;cold&quot;, &quot;face&quot;, &quot;sweat&quot;], unicode: &quot;😓&quot;, variations: [] }, ... ]"},{"ref":"Emojix.html#find_by_hexcode/1","title":"Emojix.find_by_hexcode/1","type":"function","doc":"Find a emoji by hexcode Examples iex&gt; Emojix.find_by_hexcode(&quot;1F600&quot;) %Emojix.Emoji{ description: &quot;grinning face&quot;, hexcode: &quot;1F600&quot;, id: 1, shortcodes: [&quot;gleeful&quot;], tags: [&quot;face&quot;, &quot;grin&quot;], unicode: &quot;😀&quot;, variations: [] } iex&gt; Emojix.find_by_hexcode(&quot;FFFFF&quot;) nil"},{"ref":"Emojix.html#find_by_shortcode/1","title":"Emojix.find_by_shortcode/1","type":"function","doc":"Find a emoji by shortcode Examples iex&gt; Emojix.find_by_shortcode(&quot;gleeful&quot;) %Emojix.Emoji{ description: &quot;grinning face&quot;, hexcode: &quot;1F600&quot;, id: 1, shortcodes: [&quot;gleeful&quot;], tags: [&quot;face&quot;, &quot;grin&quot;], unicode: &quot;😀&quot;, variations: [] } iex&gt; Emojix.find_by_shortcode(&quot;non_valid&quot;) nil"},{"ref":"Emojix.html#find_by_unicode/1","title":"Emojix.find_by_unicode/1","type":"function","doc":"Find a emoji by unicode Examples iex&gt; Emojix.find_by_unicode(&quot;😼&quot;) %Emojix.Emoji{ description: &quot;cat with wry smile&quot;, hexcode: &quot;1F63C&quot;, id: 110, shortcodes: [&quot;smirking_cat&quot;], tags: [&quot;cat&quot;, &quot;face&quot;, &quot;ironic&quot;, &quot;smile&quot;, &quot;wry&quot;], unicode: &quot;😼&quot;, variations: [] }"},{"ref":"Emojix.html#replace/2","title":"Emojix.replace/2","type":"function","doc":"Returns a new string where each emoji contained in the given string is applied to a function. Examples iex&gt; Emojix.replace(&quot;The 🐶 likes 🦴&quot;, fn e -&gt; e.shortcodes end) &quot;The dog_face likes bone&quot;"},{"ref":"Emojix.html#scan/1","title":"Emojix.scan/1","type":"function","doc":"Returns a list of all emoji contained within that string, in order. Examples iex&gt; Emojix.scan(&quot;Elixir is awesome!! ✌🏻👍🏽&quot;) [ %Emojix.Emoji{ description: &quot;victory hand: light skin tone&quot;, hexcode: &quot;270C-1F3FB&quot;, id: 206, shortcodes: [&quot;victory_tone1&quot;], tags: [], unicode: &quot;✌🏻&quot;, variations: [] }, %Emojix.Emoji{ description: &quot;thumbs up: medium skin tone&quot;, hexcode: &quot;1F44D-1F3FD&quot;, id: 275, shortcodes: [&quot;thumbsup_tone3&quot;, &quot;+1_tone3&quot;, &quot;yes_tone3&quot;], tags: [], unicode: &quot;👍🏽&quot;, variations: [] } ] iex&gt; Emojix.scan(&quot;There is no emoji in this sentence&quot;) []"},{"ref":"Emojix.html#search_by_description/1","title":"Emojix.search_by_description/1","type":"function","doc":"Search a emoji by description Examples iex&gt; Emojix.search_by_description(&quot;grinning&quot;) [ %Emojix.Emoji{ description: &quot;grinning face with sweat&quot;, hexcode: &quot;1F605&quot;, id: 6, shortcodes: [&quot;embarassed&quot;], tags: [&quot;cold&quot;, &quot;face&quot;, &quot;open&quot;, &quot;smile&quot;, &quot;sweat&quot;], unicode: &quot;😅&quot;, variations: [] }, %Emojix.Emoji{ description: &quot;grinning cat with smiling eyes&quot;, hexcode: &quot;1F638&quot;, id: 107, shortcodes: [&quot;grinning_cat&quot;], tags: [&quot;cat&quot;, &quot;eye&quot;, &quot;face&quot;, &quot;grin&quot;, &quot;smile&quot;], unicode: &quot;😸&quot;, variations: [] }, ... ] iex&gt; Emojix.search_by_description(&quot;blah&quot;) []"},{"ref":"Emojix.html#search_by_tag/1","title":"Emojix.search_by_tag/1","type":"function","doc":"Search a emoji by tag Examples iex&gt; Emojix.search_by_tag(&quot;face&quot;) [ %Emojix.Emoji{ description: &quot;downcast face with sweat&quot;, hexcode: &quot;1F613&quot;, id: 85, shortcodes: [&quot;shamed&quot;], tags: [&quot;cold&quot;, &quot;face&quot;, &quot;sweat&quot;], unicode: &quot;😓&quot;, variations: [] }, %Emojix.Emoji{ description: &quot;smiling face with sunglasses&quot;, hexcode: &quot;1F60E&quot;, id: 61, shortcodes: [&quot;confident&quot;], tags: [&quot;bright&quot;, &quot;cool&quot;, &quot;face&quot;, &quot;sun&quot;, &quot;sunglasses&quot;], unicode: &quot;😎&quot;, variations: [] }, ... ] iex&gt; Emojix.search_by_tag(&quot;blah&quot;) []"},{"ref":"Emojix.Emoji.html","title":"Emojix.Emoji","type":"module","doc":"Documentation for Emojix.Emoji."},{"ref":"Emojix.Emoji.html#t:t/0","title":"Emojix.Emoji.t/0","type":"type","doc":""}]